
QGIS Application - Bug report #985

Qgis doesn't display files in vector or raster file dialog and hangs when cancelled

2008-03-11 10:37 AM - cgsbob -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11045

Description

It has been a while since I've updated qgis from svn.  Last night after this update, I compiled qgis and all seems fine.  When I opened up

the vector or raster dialog box, I do not see any files even if I set the filename filter to All.  So, I clicked on cancel and that is when qgis

hangs.

Btw, if I load up a project file or load up a vector or raster file from the command line, qgis displays the data.

All of these problems are happening on Qgis r8203 built with Qt4.3.2, [[PyQt]] 4.3.2, and gdal 1.6.0dev.

History

#1 - 2008-03-11 01:26 PM - Martin Dobias

Ah, I've come over exactly the same problem last night! I thought that it's just some obscure problem with my installation but looks like it's not... I'm on

commit:8495986a (SVN r8201) with Qt4.3.3. From some simple investigation it looks like that later it hangs when deleting the file dialog waiting for

something.

Martin

#2 - 2008-03-11 10:31 PM - cgsbob -

Replying to [comment:1 wonder]:

Ah, I've come over exactly the same problem last night! I thought that it's just some obscure problem with my installation but looks like it's not... I'm

on commit:8495986a (SVN r8201) with Qt4.3.3. From some simple investigation it looks like that later it hangs when deleting the file dialog waiting

for something.

Martin

I decided to disable all of the plugins that didn't come with qgis, quit qgis, and then restart it.  qgis file dialog box opened up and it didn't hang qgis.  After

enabling more plugins, I ran into the bug when I enabled Geoprocessing version 0.32.

#3 - 2008-03-12 07:12 PM - Gary Sherman

- Resolution set to invalid

- Status changed from Open to Closed
I'm closing this as it appears to be a problem with a third-party plugin.

#4 - 2008-03-13 01:18 AM - Horst Düster

Replying to [comment:2 cgsbob]:

Replying to [comment:1 wonder]:

Ah, I've come over exactly the same problem last night! I thought that it's just some obscure problem with my installation but looks like it's not... I'm

on commit:8495986a (SVN r8201) with Qt4.3.3. From some simple investigation it looks like that later it hangs when deleting the file dialog waiting

for something.

Martin

I decided to disable all of the plugins that didn't come with qgis, quit qgis, and then restart it.  qgis file dialog box opened up and it didn't hang qgis. 

After enabling more plugins, I ran into the bug when I enabled Geoprocessing version 0.32.

I can't reproduce this behaviour with Rev. 8213 and Qt4.2.3. I'm not shure that there is any relation between the Geoprocessing Plugin and QGIS in this

case.

#5 - 2008-03-16 11:39 AM - Horst Düster

Replying to cgsbob:

It has been a while since I've updated qgis from svn.  Last night after this update, I compiled qgis and all seems fine.  When I opened up the vector

or raster dialog box, I do not see any files even if I set the filename filter to All.  So, I clicked on cancel and that is when qgis hangs.

Btw, if I load up a project file or load up a vector or raster file from the command line, qgis displays the data.

All of these problems are happening on Qgis commit:9b5f9c36 (SVN r8204) built with Qt4.3.2, [[PyQt]] 4.3.2, and gdal 1.6.0dev.

The bug is fixed with a workaround. At the moment I don't have a better solution. The reason of this bug is the translation. The line

leeds to the mentioned behaviour, but only under QT4.3.x. With QT4.2.3 the translation and the [[FileDialog]] are working fine together. I disabled

the translation so you always get the english version. For update please download Rev. 0.33 from Plugin repository.
